VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form frmDBProps 
   Caption         =   "Form1"
   ClientHeight    =   4005
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   5355
   LinkTopic       =   "Form1"
   ScaleHeight     =   4005
   ScaleWidth      =   5355
   StartUpPosition =   3  'Windows Default
   Begin MSComDlg.CommonDialog cmDBDialog 
      Left            =   3810
      Top             =   3510
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin MSComctlLib.TreeView TreeView1 
      Height          =   3705
      Left            =   360
      TabIndex        =   0
      Top             =   150
      Width           =   4665
      _ExtentX        =   8229
      _ExtentY        =   6535
      _Version        =   393217
      Indentation     =   617
      Style           =   7
      ImageList       =   "imlTreePics1"
      Appearance      =   1
   End
   Begin MSComctlLib.ImageList imlTreePics1 
      Left            =   0
      Top             =   0
      _ExtentX        =   1005
      _ExtentY        =   1005
      BackColor       =   -2147483643
      ImageWidth      =   16
      ImageHeight     =   16
      MaskColor       =   12632256
      _Version        =   393216
      BeginProperty Images {2C247F25-8591-11D1-B16A-00C0F0283628} 
         NumListImages   =   7
         BeginProperty ListImage1 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "frmDBProps.frx":0000
            Key             =   "Table"
         EndProperty
         BeginProperty ListImage2 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "frmDBProps.frx":0112
            Key             =   "Query"
         EndProperty
         BeginProperty ListImage3 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "frmDBProps.frx":0224
            Key             =   "Index"
         EndProperty
         BeginProperty ListImage4 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "frmDBProps.frx":0336
            Key             =   "Property"
         EndProperty
         BeginProperty ListImage5 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "frmDBProps.frx":0448
            Key             =   "Attached"
         EndProperty
         BeginProperty ListImage6 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "frmDBProps.frx":055A
            Key             =   "Field"
         EndProperty
         BeginProperty ListImage7 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "frmDBProps.frx":066C
            Key             =   "RootNode"
         EndProperty
      EndProperty
   End
   Begin VB.Menu mnuExit 
      Caption         =   "&Exit"
   End
End
Attribute VB_Name = "frmDBProps"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private dbProps As New ClsDBProps
Private DB As Database

Private Sub cmdExit_Click()
  End
End Sub

Private Sub Form_Load()
  On Error GoTo err_Connect
  ' Initialise dialog properties
  cmDBDialog.CancelError = True
  cmDBDialog.DialogTitle = "Select database"
  cmDBDialog.InitDir = GetSetting("msSQL", "Last_Directory_Used", "Entry1", "c:\")
  cmDBDialog.Filter = "Microsoft Access MDBs (*.mdb)|*.mdb|All Files (*.*)|*.*"
  ' Fier
  cmDBDialog.Action = 1
  ' open access database
  Set DB = OpenDatabase(cmDBDialog.FileName, 0, False)
  
  ' initialise class
  dbProps.Initialise DB, TreeView1, False
  ' select and expand treeview's first level
  TreeView1.Nodes.Item(1).Selected = True
  TreeView1.SelectedItem.Expanded = True
  
err_Connect_Exit:
  Exit Sub
err_Connect:
  If Err.Number <> 0 Then
    If Err.Number = 32755 Then ' cancelled operation
      Resume err_Connect_Exit
    Else
      MsgBox CStr(Err.Number) & ": " & Err.Description
      Resume err_Connect_Exit
    End If
  End If
End Sub

Private Sub Form_Resize()
  TreeView1.Move 100, _
                 100, _
                 Me.ScaleWidth - 200, _
                 Me.ScaleHeight - 200
End Sub

Private Sub Form_Unload(Cancel As Integer)
  DB.Close
End Sub

Private Sub mnuExit_Click()
  Unload Me
End Sub

Private Sub TreeView1_DblClick()
  dbProps.NodeDoubleClick DB
End Sub

Private Sub TreeView1_NodeClick(ByVal Node As MSComctlLib.Node)
  dbProps.NodeClick DB, TreeView1, Node
End Sub
